# beforeSettings

abstract fun beforeSettings(@DelegatesTo(value = Settings::class) closure: Closure<out Any>)

Adds an action to be called before the build settings have been loaded and evaluated.

#### Since

6.0

#### Parameters

closure

The action to execute.

abstract fun beforeSettings(action: Action<in Settings>)

Adds an action to be called before the build settings have been loaded and evaluated.

#### Since

6.0

#### Parameters

action

The action to execute.